Express Channel

By Kristina posted 04-29-2016 15:44

  

Browsers

Note that browser zoom is supported only at 100%. Use of browser extensions/add-ons or the enablement of Compatibility View is not supported while using Jama. To prevent session issues, the application should be used in a single browser window.
  • Internet Explorer 11* 
  • Edge as of Jama 8.14
  • Firefox**
  • Firefox ESR as of Jama 8.10
  • Google Chrome**
  • Safari**

*Note that IE is not supported with the Admin Console in on-premises installations of Jama 8.x using versions of Replicated < 2.4.0.
**We will support versions released over the past 12 months.

Supported Word Processor and Spreadsheet Programs for Exports and Reports

  • Office for Mac 2016
  • Office 365 for Mac
  • Office 365 for Windows
  • Office 2016 for Windows (effective with Jama 8.10)

Server Components

The following on-premises hardware and software is required for Express Channel environments.
Jama does not support high availability configurations, nor do we support running Jama headless. We recommend using snapshotting via your VM or taking nightly database backups in order to manually restore the application.

Operating Systems:

Jama can be installed on any Linux distribution supported by Docker CE.
We regression-test against the following distros:

  • RHEL 7.1+
  • Ubuntu Server 14.0x LTS
  • CentOS 7.1+

Database Servers:

The database must be hosted on a server separate from the Jama application. This server can host other databases, but we do not support other applications running on the same server as the database.
  • MySQL 5.6 and 5.7 (and same major versions for Percona and MariaDB)
  • Microsoft SQL Server 2014
  • Microsoft SQL Server 2016 (as of Jama 8.20). We do not support the use of the Azure database, as this is not tested. 

Replicated

Note: The Replicated release notes contain a mix of information targeted at end users and developers. Please note that all features or updates described in the release notes may not be available or may require development by Jama.
  • Jama 8.24 (final Express release)
    The versions of Replicated that were used during regression testing of 8.24 are Replicated 2.13.1, Replicated-ui 2.13.1 and replicated-operator 2.13.1.
  • Jama 8.23
    The versions of Replicated that were used during regression testing of 8.23 are Replicated 2.13.1, Replicated-ui 2.13.1 and replicated-operator 2.13.1.
  • Jama 8.22
    The versions of Replicated that were used during regression testing of 8.22 are Replicated 2.9.3, Replicated-ui 2.9.3 and replicated-operator 2.9.3. We additionally validated against Replicated 2.6.0, Replicated-ui 2.6.0 and Replicated-operator 2.6.0. These versions are not the newest available. Read this article in order to ensure the best versions are installed.
  • Jama 8.21
    The versions of Replicated that were used during regression testing of 8.21 are Replicated 2.9.3, Replicated-ui 2.9.3 and replicated-operator 2.9.3. We additionally validated against Replicated 2.6.0, Replicated-ui 2.6.0 and Replicated-operator 2.6.0 These versions are not the newest available. Read this article in order to ensure the best versions are installed.
  • Jama 8.20
    The versions of Replicated that were used during regression testing of 8.20 are Replicated 2.9.3, Replicated-ui 2.9.3 and replicated-operator 2.9.3. We additionally validated against Replicated 2.6.0, Replicated-ui 2.6.0 and Replicated-operator 2.6.0 These versions are not the newest available. Read this article in order to ensure the best versions are installed.
  • Jama 8.19
    The versions of Replicated that were used during regression testing of 8.18 are Replicated 2.9.3, Replicated-ui 2.9.3 and replicated-operator 2.9.3. We additionally validated against the following versions of Replicated: Replicated 2.6.0, Replicated-ui 2.6.0 and Replicated-operator 2.6.0.
  • Jama 8.18
    The versions of Replicated that were used during regression testing of 8.18 are Replicated 2.9.2, Replicated-ui 2.9.2 and replicated-operator 2.9.2. We additionally validated against the following versions of Replicated: Replicated 2.6.0, Replicated-ui 2.6.0 and Replicated-operator 2.6.0.
  • Jama 8.17
    he versions of Replicated that were used during regression testing of 8.17 are Replicated 2.8.1, Replicated-ui 2.8.1 and replicated-operator 2.8.1. We additionally validated against the following versions of Replicated: Replicated 2.6.0, Replicated-ui 2.6.0 and Replicated-operator 2.6.0.
  • Jama 8.15
    Jama 8.15 was regression tested against Replicated version 2.6.0, Replicated-ui version 2.6.0 and Replicated-operator version 2.6.0.
  • Jama 8.10
    Jama 8.10 requires Replicated 2.2.x+
  • Jama 8.5
    Jama 8.5+ requires Replicated 2.0.x+
  • Jama 8.3
    Jama 8.3 requires Replicated 1.2.x

Docker

The installation script provided by Jama in the Release Notes and Help Guide automatically installs the Docker version supported within that Replicated release. 

For a list of recommend storage drivers, please see Docker's documentation. For best performance of Jama Connect, we recommend avoiding devicemapper. In the past, for customers on RHEL-based systems (RHEL, CentOS, Fedora), we supported devicemapper in loopback mode. However, with updates to Docker our recommendations changed. If you have concerns about the default storage driver configuration, please contact Support.

Connectors

Note: It may be necessary to run legacy connectors concurrently with the Jama Integrations Hub (JIH) when migrating from one tool to the other. In these situations, you must not sync the same same data. If you are running this configuration, Jama Support may ask you to stop syncing one of the connectors as a troubleshooting step.

Legacy Connectors

  • Atlassian JIRA version 7.1-7.6 and current On Demand version
  • Rally API version 1.43 and above
  • Atlassian Crowd Connector versions 2.9 - 2.11.x only
  • Microsoft TFS (Team Foundation Server) versions 2012 and 2013
  • IBM DOORS 9.3
  • Enterprise Architect Connector 4.1.0 with Enterprise Architect 9.3.935
  • HP Quality Center 11.52

Jama Integrations Hub/Tasktop Integrations Hub

JIH versions are supported for 12 months after release. System Recommendations and supported integrations for the JIH can be found here.
The Tasktop Integration Hub details can be found here.



#installation

8 comments
1384 views

Comments

08-30-2016 16:21

Hi Ed...I haven't forgotten about you. We're still trying to figure that one out (it's part of our testing environment, but I don't have full confidence yet).

08-30-2016 14:37

Hi Kristina,

Any news on Office 2016 for Windows?

Thanks,

Ed

08-04-2016 17:19

I'm checking in on that.

08-03-2016 22:13

I see that Office 2016 for Mac is supported. :)

How about Office 2016 for Windows?

Thanks,

Ed

05-05-2016 20:33

In general, these two distributions are competitive in terms of performance. Specifically for the Docker container file system, Red Hat and Docker have some differences in opinion, but for the profile of our application there should not be any appreciable differences. Note that we are not having any kind of serious I/O operations inside the Docker containers, any non-trivial I/O goes to the host file system, which brings me back to Red Hat and Ubuntu not being significantly different in performance.

05-05-2016 14:41

I've seen a few support pages suggesting RHEL has lower performance than Ubuntu. If both are fully supported and validated by Jama, can you quantify what that performance difference is?

04-29-2016 19:07

I don not! But I'll make that inquiry of the testing team.

04-29-2016 16:14

Kristina -- do you have any ETA on whether Office 365 for Windows will be supported for exports and reports?

I have an opportunity to join an internal trial of Office 365 for Business for Windows, but if I need to keep the older version of Office around for Jama support purposes, I'll do so.